Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Bounded_Set Class Template Reference

Implement a simple unordered set of <T> with maximum set at creation time. More...

`#include <Containers_T.h>`

List of all members.

## Public Types
typedef ACE_Bounded_Set_Iterator< T > | ITERATOR
enum | { DEFAULT_SIZE = 10 }
## Public Methods
| ACE_Bounded_Set (void)
| Constructor. More...
| ACE_Bounded_Set (size_t size)
| Constructor. More...
| ACE_Bounded_Set (const ACE_Bounded_Set< T > &)
| Copy constructor. More...
void | operator= (const ACE_Bounded_Set< T > &)
| Assignment operator. More...
| ~ACE_Bounded_Set (void)
| Destructor. More...
int | is_empty (void) const
| Returns 1 if the container is empty, otherwise returns 0. More...
int | is_full (void) const
| Returns 1 if the container is full, otherwise returns 0. More...
int | insert (const T &new_item)
int | remove (const T &item)
int | find (const T &item) const
| Finds if <item> occurs in the set. Returns 0 if finds, else -1. More...
size_t | size (void) const
| Size of the set. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
Search_Structure * | search_structure_
| Holds the contents of the set. More...
size_t | cur_size_
| Current size of the set. More...
size_t | max_size_
| Maximum size of the set. More...
## Friends
class | ACE_Bounded_Set_Iterator< T >

## Detailed Description

### template<class T>
class ACE_Bounded_Set< T >

Implement a simple unordered set of <T> with maximum set at creation time.

This implementation of an unordered set uses a Bounded array. This implementation does not allow duplicates...

## Member Typedef Documentation

template<class T>
typedef ACE_Bounded_Set_Iterator<T> ACE_Bounded_Set::ITERATOR

## Member Enumeration Documentation

template<class T>
anonymous enum

  | Enumeration values:
  DEFAULT_SIZE |

## Constructor & Destructor Documentation

template<class T>
ACE_Bounded_Set< T >::ACE_Bounded_Set | ( | void |  | ) |

| Constructor.

template<class T>
ACE_Bounded_Set< T >::ACE_Bounded_Set | ( | size_t | size | ) |

| Constructor.

template<class T>
ACE_Bounded_Set< T >::ACE_Bounded_Set | ( | const ACE_Bounded_Set< T > & | bs | ) |

| Copy constructor.

template<class T>
ACE_Bounded_Set< T >::~ACE_Bounded_Set | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class T>
void ACE_Bounded_Set< T >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T>
int ACE_Bounded_Set< T >::find | ( | const T & | item | ) | const

| Finds if <item> occurs in the set. Returns 0 if finds, else -1.

template<class T>
int ACE_Bounded_Set< T >::insert | ( | const T & | item | ) |

| Insert <new_item> into the set (doesn't allow duplicates). Returns -1 if failures occur, 1 if item is already present, else 0.

template<class T>
ACE_INLINE int ACE_Bounded_Set< T >::is_empty | ( | void |  | ) | const

| Returns 1 if the container is empty, otherwise returns 0.

template<class T>
ACE_INLINE int ACE_Bounded_Set< T >::is_full | ( | void |  | ) | const

| Returns 1 if the container is full, otherwise returns 0.

template<class T>
void ACE_Bounded_Set< T >::operator= | ( | const ACE_Bounded_Set< T > & | bs | ) |

| Assignment operator.

template<class T>
int ACE_Bounded_Set< T >::remove | ( | const T & | item | ) |

| Remove first occurrence of <item> from the set. Returns 0 if it removes the item, -1 if it can't find the item, and -1 if a failure occurs.

template<class T>
size_t ACE_Bounded_Set< T >::size | ( | void |  | ) | const

| Size of the set.

## Friends And Related Function Documentation

template<class T>
friend class ACE_Bounded_Set_Iterator< T >`[friend]`

## Member Data Documentation

template<class T>
ACE_Bounded_Set::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T>
size_t ACE_Bounded_Set::cur_size_`[private]`

| Current size of the set.

template<class T>
size_t ACE_Bounded_Set::max_size_`[private]`

| Maximum size of the set.

template<class T>
Search_Structure* ACE_Bounded_Set::search_structure_`[private]`

| Holds the contents of the set.

The documentation for this class was generated from the following files:

- Containers_T.h
- Containers_T.cpp
- Containers_T.i